### Constructor

# Fwupd SecurityAttr new

since: 1.5.0

#### Declaration [src]

    FwupdSecurityAttr*
    fwupd_security_attr_new (
      const gchar* appstream_id
    )

#### Description [src]

Creates a new security attribute.

Plugins should not use this method, and should instead use `fu_plugin_security_attr_new()` or `fu_security_attr_new()`.

Available since: 1.5.0

#### Parameters

`appstream_id`

  Type: `const gchar*`

  The AppStream component ID, e.g. `com.intel.BiosGuard`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdSecurityAttr`

A new `FwupdSecurityAttr`.

The caller of the function takes ownership of the data, and is responsible for freeing it.